main > .container {
    padding: 55px 15px 20px;
}

.footer {
    background-color: #f5f5f5;
    font-size: .9em;
    height: 60px;
}
.preview-notice {
    background-color: #cdffe9; 
    height: 32px;
    padding: 3px;
}
.footer > .container {
    padding-right: 25px;
    padding-left: 25px;
}

.not-set {
    color: #c55;
    font-style: italic;
}

.my-channel{
    display : inline-block;
    width:auto;
    font-size:small;
    padding:0px;
}
.my-channelurl{
    color:blue;
}

/* add sorting icons to gridview sort links */
a.asc:after, a.desc:after {
    content: '';
    left: 3px;
    display: inline-block;
    width: 0;
    height: 0;
    border: solid 5px transparent;
    margin: 4px 4px 2px 4px;
    background: transparent;
}

a.asc:after {
    border-bottom: solid 7px #212529;
    border-top-width: 0;
}

a.desc:after {
    border-top: solid 7px #212529;
    border-bottom-width: 0;
}

.grid-view th {
    white-space: nowrap;
}

.hint-block {
    display: block;
    margin-top: 5px;
    color: #999;
}

.error-summary {
    color: #a94442;
    background: #fdf7f7;
    border-left: 3px solid #eed3d7;
    padding: 10px 20px;
    margin: 0 0 15px 0;
}

/* align the logout "link" (button in form) of the navbar */
.nav li > form > button.logout {
    padding-top: 7px;
    color: rgba(255, 255, 255, 0.5);
}

@media(max-width:767px) {
    .nav li > form > button.logout {
        display:block;
        text-align: left;
        width: 100%;
        padding: 10px 0;
    }
    
    
    .grid-view {
        overflow-x:scroll;
    }
}

.nav > li > form > button.logout:focus,
.nav > li > form > button.logout:hover {
    text-decoration: none;
    color: rgba(255, 255, 255, 0.75);
}

.nav > li > form > button.logout:focus {
    outline: none;
}

.text-container{
    max-height: 4.5em;
    overflow: hidden;
    text-overflow: ellipsis;
}

.text-container-intro-text{
    max-height: 1.5em;
    overflow: hidden;
    text-overflow: ellipsis;
}

.dropdown-select {
    width: 100%;
    height: 10px;
    border: 1px solid #0d6efd;
    height: 40px;
    border-radius: 5px; /* Adjust the border radius value as needed */
    padding-left: 8px; /* Adjust the padding value as needed */
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.help-block{
    color: red;
}

.video-container {
    position: relative;
    padding-bottom: 56.25%; /* 16:9 aspect ratio (divided by width) */
    height: 0;
    width: 100%;
    overflow: hidden;
}

.video-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.red-box {
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: red; /* Set the desired background color */
    opacity: 0.5;
    z-index: 1;
    cursor: pointer;
}

.profile-box {
  width: 200px;
  height: 200px;
  border: 1px solid #000;
  border-radius: 10px;
  overflow: hidden;
}

.profile-text {
  width: 200px;
  height: 200px;
  border: 1px solid #000;
  border-radius: 10px;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.intro-text {
  max-height: calc(1.2em * 3); /* Set the maximum height to 3 lines */
  overflow: hidden; /* Hide any overflowing content */
  line-height: 1.2em; /* Set the line height to match the desired number of lines */
  position: relative; /* Required for the "..." to appear correctly */
  text-overflow: ellipsis;
  width: 100%;
  margin-top: 0; /* Remove top margin for the intro text paragraph */
  font-size: calc(0.5rem + 0.6vw);
}

.custom-col {
    padding-left: 0;
    padding-right: 0;
}

.story-index {
    margin-left: -10px;
    margin-right: -20px;
}
.list-view-container {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
}

.thumbnail-image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    padding-left: 1%;
}

.form-control {
    border: 1px solid #0d6efd;
}

.form-group, .dropdown-select, .cropped-image, #dropzone-container {
    margin-bottom: 10px;
}

#videosection h3, #videosection .h3 {
    font-size: calc(0.9rem + 0.6vw);
    margin-top: 1.3rem;
}

#videosection h1, #videosection .h1 {
    background-color: black;
    color: white;
    font-size: calc(1rem + 1.5vw);
    padding: 1.1vw;
    padding-top: 0.7vw;
    line-height: 1.3;
    margin-bottom: 0px;
}

#videosection p {
    margin-bottom: 0.3rem;
}
.helptext {
    margin-top: -10px;
    margin-bottom: 10px;
}
.user-view h1 {
    background-color: white !important;
    color: black !important;
    font-size: calc(1rem + 1.5vw);
    padding: 1.1vw;
    /* padding-left: 10px; */
    /* vertical-align: middle; */
    line-height: 1.3;
}

.otherpeople-section {

    background-color: #d8ecff;
}

/* CHAT communication platform colors */
    .fa-whatsapp    { color: #25D366; }
    .fa-facebook    { color: #1877f2; }
    .fa-instagram   { color: #C13584; }
    .fa-telegram    { color: #0088cc; }
    .fa-discord     { color: #7289da; }
    .fa-x-twitter   { color: #000; }
    .fa-linkedin    { color: #0077b5; }
    .fa-snapchat    { color: #8a8900; }
    .fa-phone       { color: #4CAF50; }
    .fa-lock        { color: #6c757d; }
    
/*Grid views pagination correction*/
.grid-view .pagination .prev.disabled, .grid-view .pagination .next.disabled {
    display: none;
}

/*Header Back button GLOBAL*/
button#header-backbtn {
    color:var(--bs-navbar-color);
    border:var(--bs-border-width) solid var(--bs-navbar-toggler-border-color);
}
button#header-backbtn:hover {
    color: var(--bs-btn-hover-color);
    border-color: var(--bs-btn-hover-border-color);
}

@media (min-width: 768px){
.navbar-expand-md .navbar-toggler {
/*    display: block;    */
}
div#w0-collapse {
/*    display: none !important;  */
}
.navbar-expand-md .navbar-nav {
/*     flex-direction: column !important;  */
}


}